com.amazon.redshift.jdbc

## Class MetadataAPIHelper.ShowForeignKeysInfo

- java.lang.Object
- - com.amazon.redshift.jdbc.MetadataAPIHelper.ShowForeignKeysInfo

Enclosing class:
  MetadataAPIHelper

    public static class MetadataAPIHelper.ShowForeignKeysInfo
    extends Object

Data container for foreign key metadata returned by the SHOW CONSTRAINTS FOREIGN KEYS command.

This class represents information about foreign key constraints in a table. Each instance represents one column in the foreign key, with the key sequence indicating the column's position within a multi-column key. Used by JDBC metadata methods like getImportedKeys() to provide structured access to foreign key information.

For composite foreign keys (multiple columns), multiple instances will be created with the same fkName but different keySeq values to indicate column ordering.

See Also:
  `DatabaseMetaData.getImportedKeys(String, String, String)`, `MetadataServerProxy.getForeignKeys(String, String, String, boolean, boolean)`

### Constructor Summary

Constructors
Constructor and Description
`ShowForeignKeysInfo(String pkDatabaseName, String pkSchemaName, String pkTableName, String pkColumnName, String fkDatabaseName, String fkSchemaName, String fkTableName, String fkColumnName, String keySeq, String updateRule, String deleteRule, String fkName, String pkName, String deferrability)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDeferrability()`
`String` `getDeleteRule()`
`String` `getFkColumnName()`
`String` `getFkDatabaseName()`
`String` `getFkName()`
`String` `getFkSchemaName()`
`String` `getFkTableName()`
`String` `getKeySeq()`
`String` `getPkColumnName()`
`String` `getPkDatabaseName()`
`String` `getPkName()`
`String` `getPkSchemaName()`
`String` `getPkTableName()`
`String` `getUpdateRule()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ShowForeignKeysInfo

    public ShowForeignKeysInfo(String pkDatabaseName,
                               String pkSchemaName,
                               String pkTableName,
                               String pkColumnName,
                               String fkDatabaseName,
                               String fkSchemaName,
                               String fkTableName,
                               String fkColumnName,
                               String keySeq,
                               String updateRule,
                               String deleteRule,
                               String fkName,
                               String pkName,
                               String deferrability)

### Method Detail

#### getPkDatabaseName

    public String getPkDatabaseName()

#### getPkSchemaName

    public String getPkSchemaName()

#### getPkTableName

    public String getPkTableName()

#### getPkColumnName

    public String getPkColumnName()

#### getFkDatabaseName

    public String getFkDatabaseName()

#### getFkSchemaName

    public String getFkSchemaName()

#### getFkTableName

    public String getFkTableName()

#### getFkColumnName

    public String getFkColumnName()

#### getKeySeq

    public String getKeySeq()

#### getUpdateRule

    public String getUpdateRule()

#### getDeleteRule

    public String getDeleteRule()

#### getFkName

    public String getFkName()

#### getPkName

    public String getPkName()

#### getDeferrability

    public String getDeferrability()